Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom
Class DataConversionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.jdom.JDOMException
                        |
                        +--org.jdom.DataConversionException

public class DataConversionException
extends JDOMException

Thrown when a data conversion from a string to value type fails, such as can happen with the `Attribute` convenience getter functions.

Version:
  $Revision: 1.13 $, $Date: 2004/02/06 09:28:30 $
Author:
  Brett McLaughlin, Jason Hunter
See Also:
  Serialized Form

Constructor Summary
`DataConversionException(java.lang.String name, java.lang.String dataType)` Constructs an exception where the named construct couldn't be converted to the named data type.

Methods inherited from class org.jdom.JDOMException
`getCause, getMessage, initCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataConversionException

    public DataConversionException(java.lang.String name,
                                   java.lang.String dataType)

  Constructs an exception where the named construct couldn't be converted to the named data type.
  Parameters:
    `name` - name of the construct whose value failed conversion
    `dataType` - type the conversion was attempting to create

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Jason Hunter, Brett McLaughlin. All Rights Reserved.